#
# spec file for package soundmodem (Version 0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpp gtk gtk-devel imlib imlib-devel libgpp libgtop libgtop-devel libjpeg libpng libtiff libungif libxml libxml-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libgpp libgtop libgtop-devel libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         soundmodem
Copyright:    GPL2
Group:        Utilities/Hamradio
Provides:     soundmodem sndmodem
Obsoletes:    sndmodem
Autoreqprov:  on
Version:      0.4
Release:      179
Source:       soundmodem-%{version}.tar.gz
Patch:	      soundmodem-%{version}.dif
URL:          http://www.ife.ee.ethz.ch/~sailer/ham/soundmodem/
BuildRoot:    /var/tmp/%{name}-root
Summary:      Multiplatform Soundcard Packet Radio Modem

%description
This package contains the driver and the diagnostic utility for
userspace SoundModem. It allows you to use sound cards supported
by OSS/Free as Amateur Packet Radio modems.

Authors:
--------
    Thomas Sailer <sailer@ife.ee.ethz.ch>

SuSE series: ham

%prep
%setup -n soundmodem-%{version}
%patch

%build
%define prefix   /usr
%define localstatedir   /var
%define sysconfdir /etc
CFLAGS="$RPM_OPT_FLAGS"
./configure --mandir={_mandir} \
            --prefix=%{prefix} \
            --localstatedir=%{localstatedir} \
	    --sysconfdir=%{sysconfdir}
make

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make prefix=$RPM_BUILD_ROOT%{prefix} \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     localstatedir=$RPM_BUILD_ROOT%{localstatedir} \
     install
install -g root -o root -m 0755 -d $RPM_BUILD_ROOT/etc/init.d
install -g root -o root -m 0755 soundmodem.initscript $RPM_BUILD_ROOT/etc/init.d/soundmodem
ln -s ../../etc/init.d/soundmodem $RPM_BUILD_ROOT/usr/sbin/rcsoundmodem
install -g root -o root -m 0755 -d $RPM_BUILD_ROOT/etc/ax25
install -g root -o root -m 0755 -d $RPM_BUILD_ROOT/usr/man/man8/
install -g root -o root -m 0644 soundcard/soundmodem.8 $RPM_BUILD_ROOT/usr/man/man8/
install -g root -o root -m 0644 configapp/src/soundmodemconfig.8 $RPM_BUILD_ROOT/usr/man/man8/
touch $RPM_BUILD_ROOT/etc/ax25/soundmodem.conf
chmod 0600 $RPM_BUILD_ROOT/etc/ax25/soundmodem.conf
chown 0.0 $RPM_BUILD_ROOT/etc/ax25/soundmodem.conf

%post
sbin/insserv etc/init.d/soundmodem

%postun
sbin/insserv etc/init.d/

%files
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README 
%doc %{_mandir}/man8/soundmodem.8.gz
%doc %{_mandir}/man8/soundmodemconfig.8.gz
%{prefix}/sbin/*
%{prefix}/bin/*
%config /etc/init.d/soundmodem
%config /etc/ax25/soundmodem.conf

%changelog -n soundmodem
* Mon Sep 24 2001 - jreuter@suse.de
- fixed rc script for LSB compliance (closes bug #9099)
* Sat Dec 02 2000 - ka@suse.de
- update tp version 0.4
- added INIT INFO to init script
- added insserv call to spec file for symbolic links to init script
* Sat Dec 02 2000 - ka@suse.de
- renamed to soundmodem
* Fri Dec 01 2000 - uli@suse.de
- moved init script to /etc/init.d
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Utilities/Hamradio
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Sep 20 2000 - ka@suse.de
- initial release 0.2
